Leaderboard v1 (Legacy)

This endpoint returns a non-breaking, legacy version of the Leaderboard for the specified date range (see Enact's leaderboard page).

To request data for a single day, set the from and to fields of the request body equal to each other.


Using the LCPDelta Python Package

Synchronous

from lcp_delta import enact
from datetime import date

enact_api_helper = enact.APIHelper(username, public_api_key)

# see 'BODY PARAMS' section below for details on corresponding parameter values
response_dataframe = enact_api_helper.get_leaderboard_data_legacy(
	date(2023,6,21),
	date(2023,6,23),
	"Plant", # leaderboard type ("Plant", "Owner" or "Battery")
	"Pound", # revenue metric
	"WeightedAverageDayAheadPrice", # market price assumption
	"DayAheadForward", # gas price assumption
  False # whether to include capacity market revenues
)

print(response_dataframe)

Asynchronous (package version 1.3.0 and later)

from lcp_delta import enact
from datetime import date
import asyncio

async def main():
    enact_api_helper = enact.APIHelper(username, public_api_key)

    # see 'BODY PARAMS' section below for details on corresponding parameter values
    response_dataframe = await enact_api_helper.get_leaderboard_data_legacy_async(
        date(2023,6,21),
        date(2023,6,23),
        "Plant", # leaderboard type ("Plant", "Owner" or "Battery")
        "Pound", # revenue metric
        "WeightedAverageDayAheadPrice", # market price assumption
        "DayAheadForward", # gas price assumption
        False # whether to include capacity market revenues
    )

    print(response_dataframe)

asyncio.run(main())

Using the API Directly

Body Params
date-time
required
Defaults to 2023-06-21T00:00:00Z

The start of the date range to request for.

date-time
required
Defaults to 2023-06-23T00:00:00Z

The end of the date range to request for.

string
Defaults to Plant

The type of leaderboard to be requested; 'Plant' (default), 'Owner' or 'Battery'.

string
Defaults to Pound

The unit which revenues will be measured in for the leaderboard; 'PoundPerMwPerH' (default) or 'Pound'. If the leaderboard type is 'Battery', the values 'PoundPerMw', 'PoundPerMwh' or 'PoundPerMwhPerH' can also be used.

string
Defaults to WeightedAverageDayAheadPrice

The price assumption for wholesale revenues on the leaderboard; 'WeightedAverageDayAheadPrice' (default), 'EpexDayAheadPrice', 'NordpoolDayAheadPrice', 'IntradayPrice' or 'BestPrice'.

string
Defaults to DayAheadForward

The gas price assumption used to calculate running costs for unit profit on the leaderboard; 'DayAheadForward' (default), 'DayAheadSpot', 'WithinDaySpot' or 'CheapestPrice'.

boolean
Defaults to false

Changes whether or not the capacity market revenue column is shown. If set to false, the capacity market revenues will not be included in the net revenues.

Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json